Android library - unable to resolve static field - Eclipse

Dear Support Team,

Using your guide I have downloaded UA android library version 6.2.2 (also v4 support and v7 cardview) and included in my project in Eclipse as described. However I am experiencing some issues running my application. LogCat suggest there is some issues with missing library resources, please find the log attached.

Please note that UA library package res folder contains many resource folders inside but all of them are empty. Also library gen folder doesn't contain R class.

Please advice

Many thanks

Daniel




log.txt

Didn't find what you were looking for?

New post

Comments

1 comment

  • Hi Sam,

    This is Devin with Urban Airship Technical Support. Thank you for posting about issues with eclipse configuration.

    We have responded on a different thread as well but I wanted to add our recommendation to migrate to Android Studio here. 

    Google is ending official support for Eclipse by the end of this year so we recommend migrating to Android Studios as quickly as possible.  You can read more about Google's announcement here:
    http://android-developers.blogspot.com/2015/06/an-update-on-eclipse-android-developer.html 

    I hope this information is helpful.

    Best Regards,
    Urban Airship Support
    Devin

    0

Please sign in to leave a comment.